%global upname  window-picker-applet

Name:           gnome-applet-window-picker
Version:        0.5.8
Release:        2%{?dist}
Summary:        Window picker applet for GNOME

Group:          User Interface/Desktops
License:        GPLv3
URL:            https://launchpad.net/window-picker-applet
Source0:        http://launchpad.net/window-picker-applet/0.5/ubuntu-9.10-beta-freeze/+download/window-picker-applet-0.5.8.tar.gz
Patch0:         window-picker-applet-0.5.8-libm.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-panel-devel
BuildRequires:  libwnck-devel
# for configure.ac patch
BuildRequires:  autoconf libtool
BuildRequires:  intltool
Requires:       gnome-panel
Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2

# upstream name; we provide it to help people installing with yum
Provides:       %{upname} = %{version}-%{release}

%description
A gnome-panel applet that displays open windows as icons on the panel,
and has integrated window title-bar functionality. Optimised for use
on netbook-size screens.

%prep
%setup -q -n %{upname}-%{version}
%patch0 -p1 -b .libm
autoreconf -f -i


%build
%configure
make %{?_smp_mflags} V=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{upname}


%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
            %{_sysconfdir}/gconf/schemas/%{upname}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
            %{_sysconfdir}/gconf/schemas/%{upname}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
            %{_sysconfdir}/gconf/schemas/%{upname}.schemas > /dev/null || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{upname}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{upname}.schemas
%{_libdir}/bonobo/servers/GNOME_WindowPicker.server
%{_libexecdir}/%{upname}

%changelog
* Fri Feb 26 2010 Michel Salim <salimma@fedoraproject.org> - 0.5.8-2
- Fix libm linking

* Fri Feb 26 2010 Michel Salim <salimma@fedoraproject.org> - 0.5.8-1
- Update to 0.5.8

* Wed Sep 23 2009 Michel Salim <salimma@fedoraproject.org> - 0.5.6-3
- Require gnome-panel
- Include ChangeLog file
- Now built with verbose output

* Mon Sep 14 2009 Michel Salim <salimma@fedoraproject.org> - 0.5.6-2
- Rename to gnome-applet-window-picker, in keeping with Fedora naming conventions

* Mon Sep 14 2009 Michel Salim <salimma@fedoraproject.org> - 0.5.6-1
- Update to 0.5.6

* Sat Apr 18 2009 Michel Salim <salimma@fedoraproject.org> - 0.4.23-1
- Initial package
